/* Variables */
/*
* Breakpoints
*/
/*
* Font Families
*/
/*
* Typography Weights
*/
/*
* Typography Hierarchies
* Ref:
* example:
* font: (italic bold 4.2vw/1.2 (Poppins, sans-serif)),
* font: (font-style font-weight font-size/line-height (font-family, sans-serif)),
*/
/*
* Z-Indexes
*/
/*
* CTA Colors
*/
/*
* Theme Colors
*/
/*
* Typography Colors
*/
/*
* Border Colors
* Example: color: map-get($typography-colors, secondary);
*/
/*
* Link Styles
*/
.link-cta {
  font-family: Lato, sans-serif;
  font-size: 14px;
  font-weight: 400;
  color: #0075a3;
}
.link-cta:hover {
  color: #0075a3;
}

/*
* Relatient icons font
*/
/* Variables */
/*
* Breakpoints
*/
/*
* Font Families
*/
/*
* Typography Weights
*/
/*
* Typography Hierarchies
* Ref:
* example:
* font: (italic bold 4.2vw/1.2 (Poppins, sans-serif)),
* font: (font-style font-weight font-size/line-height (font-family, sans-serif)),
*/
/*
* Z-Indexes
*/
/*
* CTA Colors
*/
/*
* Theme Colors
*/
/*
* Typography Colors
*/
/*
* Border Colors
* Example: color: map-get($typography-colors, secondary);
*/
/* Variables */
/*
* Breakpoints
*/
/*
* Font Families
*/
/*
* Typography Weights
*/
/*
* Typography Hierarchies
* Ref:
* example:
* font: (italic bold 4.2vw/1.2 (Poppins, sans-serif)),
* font: (font-style font-weight font-size/line-height (font-family, sans-serif)),
*/
/*
* Z-Indexes
*/
/*
* CTA Colors
*/
/*
* Theme Colors
*/
/*
* Typography Colors
*/
/*
* Border Colors
* Example: color: map-get($typography-colors, secondary);
*/
/*
* BEM mixins
*/
/*
* Break points - Small to large screens
*/
/*
* Break points - Large to small screens
*/
/*
* Font Smoothing
* @ref-link: https://stackoverflow.com/questions/11487427/is-there-any-font-smoothing-in-google-chrome
* @ref-link: https://developer.mozilla.org/en-US/docs/Web/CSS/font-smooth
*/
/*
* Custom Scrollbar
*/
/**
 * Text overflow
 */
/* Variables */
/*
* Breakpoints
*/
/*
* Font Families
*/
/*
* Typography Weights
*/
/*
* Typography Hierarchies
* Ref:
* example:
* font: (italic bold 4.2vw/1.2 (Poppins, sans-serif)),
* font: (font-style font-weight font-size/line-height (font-family, sans-serif)),
*/
/*
* Z-Indexes
*/
/*
* CTA Colors
*/
/*
* Theme Colors
*/
/*
* Typography Colors
*/
/*
* Border Colors
* Example: color: map-get($typography-colors, secondary);
*/
/* Variables */
/*
* Breakpoints
*/
/*
* Font Families
*/
/*
* Typography Weights
*/
/*
* Typography Hierarchies
* Ref:
* example:
* font: (italic bold 4.2vw/1.2 (Poppins, sans-serif)),
* font: (font-style font-weight font-size/line-height (font-family, sans-serif)),
*/
/*
* Z-Indexes
*/
/*
* CTA Colors
*/
/*
* Theme Colors
*/
/*
* Typography Colors
*/
/*
* Border Colors
* Example: color: map-get($typography-colors, secondary);
*/
/*
* BEM mixins
*/
/*
* Break points - Small to large screens
*/
/*
* Break points - Large to small screens
*/
/*
* Font Smoothing
* @ref-link: https://stackoverflow.com/questions/11487427/is-there-any-font-smoothing-in-google-chrome
* @ref-link: https://developer.mozilla.org/en-US/docs/Web/CSS/font-smooth
*/
/*
* Custom Scrollbar
*/
/**
 * Text overflow
 */
.dropdown-component .label {
  font-family: Lato, sans-serif;
  font-size: 1rem;
  font-weight: 400;
  text-align: left;
  color: #263940;
  line-height: 1rem;
  margin-bottom: 6px;
}

.dropdown-component .label .secondary-label {
  font: Italic 16px/19px Lato, sans-serif;
  color: #76797b;
}

/*
* Primary CTA Styles
*/
/**
 * Textarea component styles
 */
/**
 * Information text
 */
/**
 * Different states
 */
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-panel .ui-dropdown-items-wrapper .ui-dropdown-items .ui-dropdown-item-group {
  font: 700 16px/24px Lato;
  color: #59686d;
  background: #f2f1f1;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-panel .ui-dropdown-items-wrapper .ui-dropdown-items .ui-dropdown-item-group:hover {
  background: #f2f1f1;
}

.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-panel .ui-dropdown-items-wrapper .ui-dropdown-items .ui-dropdown-item .item {
  display: flex;
  align-items: center;
  width: 240px;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-panel .ui-dropdown-items-wrapper .ui-dropdown-items .ui-dropdown-item .item .image {
  width: 15px;
  height: 15px;
  margin-right: 8px;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-panel .ui-dropdown-items-wrapper .ui-dropdown-items .ui-dropdown-item .item .text {
  word-break: break-all;
  display: inline-table;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-panel .ui-dropdown-items-wrapper .ui-dropdown-items .ui-dropdown-item .item .remove-icon {
  display: inline-block;
  position: absolute;
  right: 10px;
  cursor: pointer;
  font-size: 12px;
}

.grouped.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-panel .ui-dropdown-items-wrapper {
  max-height: 475px !important;
}
.grouped.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-panel .ui-dropdown-items-wrapper .ui-dropdown-items {
  max-height: 475px;
}

/**
 * Dropdown component
 */
.dropdown-component .dropdown-wrapper {
  position: relative;
  display: flex;
  align-items: center;
}
.dropdown-component .dropdown-wrapper ::ng-deep p-dropdown {
  width: 100%;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown {
  position: relative;
  width: 100%;
  border: none;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown:focus {
  outline: none;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown.ui-dropdown-open .ui-dropdown-label-container {
  border: 1px solid #0075a3;
  outline: none;
  box-shadow: 0 0 0 2px #b2e0f3;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown.ui-state-focus {
  box-shadow: none;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown.ui-state-disabled {
  pointer-events: none;
  opacity: 0.8;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-label-container {
  font-family: Lato, sans-serif;
  font-size: 16px;
  font-weight: 400;
  position: relative;
  display: flex;
  align-items: center;
  box-sizing: border-box;
  width: 100%;
  height: 40px;
  padding-right: 20px;
  padding-left: 14px;
  cursor: pointer;
  color: rgba(33, 37, 41, 0.7);
  border: 1px solid #c9cacb;
  border-radius: 4px;
  background: transparent;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-label-container .ui-dropdown-label {
  font-size: 16px;
  padding-left: 0;
  background: transparent;
  overflow: hidden;
  text-overflow: ellipsis;
  padding-right: 1rem;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-label-container .ui-dropdown-clear-icon {
  right: 26px;
  margin-top: 0;
  font-size: 12px;
  transform: translateY(-50%);
  display: flex;
  height: 20px;
  width: 20px;
  justify-content: flex-end;
  align-items: center;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-label-container .ui-placeholder {
  font-family: Lato, sans-serif;
  font-size: 16px;
  font-weight: 400;
  padding-left: 0;
  color: #59686d;
  background: transparent;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-trigger {
  background-color: transparent;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-panel {
  overflow: hidden;
  border: 1px solid #0075a3;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-panel .ui-dropdown-items-wrapper {
  max-height: 340px !important;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-panel .ui-dropdown-items-wrapper .ui-dropdown-items {
  width: 100%;
  max-height: 340px;
  list-style: none;
  background: #ffffff;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-panel .ui-dropdown-items-wrapper .ui-dropdown-items .ui-dropdown-item {
  font-family: Lato, sans-serif;
  font-size: 16px;
  font-weight: 400;
  padding: 10px 15px;
  cursor: pointer;
  color: #212529;
  border-bottom: 1px solid #e3e4e4;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-panel .ui-dropdown-items-wrapper .ui-dropdown-items .ui-dropdown-item:hover {
  background: #f4f5f7;
}
.dropdown-component .dropdown-wrapper ::ng-deep .custom-dropdown .ui-dropdown-panel .ui-dropdown-items-wrapper .ui-dropdown-items .ui-dropdown-item.ui-state-highlight {
  font-weight: 700;
  position: relative;
  background: #EDF9FD;
}
.dropdown-component .dropdown-wrapper .custom-clear {
  display: inline-block;
  position: absolute;
  right: 26px;
  cursor: pointer;
  font-size: 12px;
}
.dropdown-component .helper-text {
  font: 400 16px/20px Lato;
  margin-top: 6px;
  margin-left: 14px;
}

/*# sourceMappingURL=dropdown.component.css.map */
